设为首页 - 加入收藏 焦点技术网
热搜:java
当前位置:首页 >

解决Eclipse建Maven项目module无法转换为2.5

2016-04-04 16:43:14.0 java  
导读:Maven ,Eclipse,module,2.5,3.0。。。
  1. Maven项目在Project Facets里面修改Dynamic web module为2.5的时候就会出现Cannot change version of project facet Dynamic web module to 2.5,如图:

    解决Eclipse建Maven项目module无法转换为2.5

  2. 首先打开Navigator,如图:

    解决Eclipse建Maven项目module无法转换为2.5

  3. 修改项目的设置,在Navigator下打开项目.settings目录下org.eclipse.wst.common.component,如图:(将1.5改成1.6)

    解决Eclipse建Maven项目module无法转换为2.5

    解决Eclipse建Maven项目module无法转换为2.5

  4. 打 开org.eclipse.wst.common.project.facet.core.xml,把  <installed facet="jst.web" version="3.0"/>改成  <installed facet="jst.web" version="2.5"/>,如图:

    解决Eclipse建Maven项目module无法转换为2.5

    解决Eclipse建Maven项目module无法转换为2.5

  5. 然后,再看项目的properties,完成修改!

    解决Eclipse建Maven项目module无法转换为2.5

反之亦然

(编辑: alexDevlin)

网友评论
相关文章